/*
 *  circle.cpp
 *  
 *  Author: M. Rezaz Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */
 
 #include "circle.h"
 
 circle::circle ()
 {
     radius = 1.0;
 }
 
 circle::circle (double _radius)
 {
     radius = _radius;
 }
 
 void circle::set_radius(double _radius)
 {
     radius = _radius;
 }
 
 double circle::get_radius()
 {
     return radius;
 }
 
 double circle::area()
 {
     return pi*radius*radius;
 }
 
 double circle::perimeter()
 {
     return 2.0*pi*radius;
 }