/*
 *  circle.h
 *
 *  Author: M. Rezaz Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */

#ifndef CIRCLE_H_
#define CIRCLE_H_

const double pi {3.14159265359};

class circle
{
private:
    double radius;

public:
    circle();
    circle(double);
    void set_radius(double);
    double get_radius ();
    double area();
    double perimeter();
};

#endif // CIRCLE_H_