/*
 *  cylinder.h
 *
 *  Author: M. Rezaz Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */

#ifndef CYLINDER_H_
#define CYLINDER_H_

#include "circle.h"

class cylinder
{
private:
    double height;
    circle base;
    
public:
    cylinder ();
    cylinder(double, double);
    double get_height ();
    double get_radius ();
    void set_height(double);
    void set_radius(double);
    double volume ();
};

#endif // CYLINDER_H_