/*
 *  Project-07
 *
 *  Author: M. Rezaz Mozaffari
 *  Physics Group, University of Qom
 *  Created on: Jan. 2021
 */

#include <cstdio>
#include <iostream>

using namespace std;

#include "circle.h"
#include "cylinder.h"

int main()
{
    circle c1(2.5);
    cout << c1.area() << "\n";
    cout << c1.perimeter() << "\n";
    cout << c1.get_radius() << "\n";
    
    c1.set_radius(2.0);
    cout << c1.area() << "\n";
    cout << c1.perimeter() << "\n";
    cout << c1.get_radius() << "\n";

    cout << "-------Cylinder\n\n";
    cylinder C1(2.0, 1.0);
    cout << C1.get_height() << "\n";
    cout << C1.get_radius() << "\n";
    cout << C1.volume() << "\n\n";
    
    C1.set_height(2.5);
    cout << C1.get_height() << "\n";
    cout << C1.get_radius() << "\n";
    cout << C1.volume() << "\n\n";
 
    C1.set_radius(1.0);
    cout << C1.get_height() << "\n";
    cout << C1.get_radius() << "\n";
    cout << C1.volume() << "\n\n";   
    
    printf("\n\nThe End!\n");
    return 0;
}
